<?php

include_once("internal/tracker.php");
include_once("internal/helpers.php");
include_once("internal/log.php");

class PermaDeath extends Tracker {
	
	protected $metagame = NULL;
	
	function __construct($metagame) {
		$this->metagame = $metagame;
	}
	
	protected function handle_player_die_event($doc) {
		
		$event = $doc->firstChild->firstChild;
		
		$playerid = $event->getAttribute("player_id");
		$playername = $event->getAttribute("name");
		$profilehash = $event->getAttribute("profile_hash");
		
		$this->metagame->comms->send("say OH SHIT! " . $playername . " DIED!");
		
		_log("Player " . $playername . " died. Kicking...");
		$this->metagame->comms->send("kick " . $playerid);
		
		// Totally ugly and messy way of deleting the profile but BABBYS FIRST TRACKER WHOOOO!!!
		sleep(5);
		$personfile = "../../../../profiles/" . $profilehash . ".person";
		$profilefile = "../../../../profiles/" . $profilehash . ".profile";
		
		_log("deleting " . $personfile);
		unlink($personfile);
		_log("deleting " . $profilefile);
		unlink($profilefile);
		
	}
	
	// --------------------------------------------
	function has_ended() {
		// always on
		return false;
	}

	// --------------------------------------------
	function has_started() {
		// always on
		return true;
	}
	
}


?>